Bug 1028276 - Should improve error info when can't find backing file for snapshot
Should improve error info when can't find backing file for snapshot
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: qemu-kvm (Show other bugs)
6.5
Unspecified Unspecified
low Severity low
: rc
: ---
Assigned To: Jeff Cody
Virtualization Bugs
:
Depends On:
Blocks: 1084302 1161582
  Show dependency treegraph
 
Reported: 2013-11-08 00:17 EST by langfang
Modified: 2014-11-07 06:47 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1084302 (view as bug list)
Environment:
Last Closed: 2014-06-11 14:01:07 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description langfang 2013-11-08 00:17:10 EST
Description of problem:

Should improve error info when can't find backing file for snapshot.

Version-Release number of selected component (if applicable):

Host A:rhel6.4.z
# uname -r
2.6.32-358.27.1.el6.x86_64
# rpm -q qemu-kvm-rhev
qemu-kvm-rhev-0.12.1.2-2.355.el6_4.9.x86_64

Host B:rhel6.5
# uname -r
2.6.32-429.el6.x86_64
# rpm -q qemu-kvm-rhev
qemu-kvm-rhev-0.12.1.2-2.415.el6.x86_64

Guest:
2.6.32-428.el6.i686


How reproducible:

100%

Preparation:NFS

HostA:
#vi /etc/exports 
/home *(rw,no_root_squash)

#service nfs start
#mount -o soft,timeo=600,retrans=2,nosharecache 10.66.84.13:/home/ /mnt

HostB:

#mount -o soft,timeo=600,retrans=2,nosharecache 10.66.84.13:/home/ /mnt


Steps to Reproduce:

1.Boot guest on hostA

2.Create snapshot chains, 
 Base image -> snapshot A -> snapshot B -> snapshot C 

3.On hostA
#cd /mnt
#ll
-rw-r--r--. 1 root root 21474836480 Nov  8 13:06 rhel6-instal6.4-zhost.raw
-rw-r--r--. 1 root root    26083328 Nov  7 17:15 snapshotA
-rw-r--r--. 1 root root    25821184 Nov  7 17:15 snapshotB
-rw-r--r--. 1 root root    28114944 Nov  7 17:57 snapshotC

# qemu-img info snapshotC
image: snapshotC.back
file format: qcow2
virtual size: 20G (21474836480 bytes)
disk size: 27M
cluster_size: 65536
backing file: /home/snapshotB

3.Shutdown guest on HostA,then boot snapshotC on  HostB

... -drive file=/mnt/snapshotC,if=none,media=cdrom,id=drive-ide0-1-0,readonly=on,format=qcow2 -device ide-drive,bus=ide.1,unit=1,drive=drive-ide0-1-0,id=ide0-1-0 
...


Actual results:
Error info:
qemu-kvm: -drive file=/mnt/snapshotC,if=none,media=cdrom,id=drive-ide0-1-0,readonly=on,format=qcow2: could not open disk image /mnt/snapshotC: No such file or directory


Expected results:

Should give the error info about can't find the backing file.

EG:
qemu-kvm:-drive file=/mnt/snapshotC,if=none,media=cdrom,id=drive-ide0-1-0,readonly=on,format=qcow2:could not find the backing file /home/snapshotB.


Additional info:


My CLI:
HOSTB:
 /usr/libexec/qemu-kvm -cpu Opteron_G3 -M rhel6.4.0 -enable-kvm -m 4096 -smp 2,cores=1,threads=1 -name RHEL6.5 -uuid `uuidgen` -nodefconfig -nodefaults -monitor stdio -rtc base=utc -device piix3-usb-uhci,id=usb,bus=pci.0,addr=0x1.0x2 -device virtio-serial-pci,id=virtio-serial0,bus=pci.0,addr=0x7 -device virtio-scsi-pci,bus=pci.0,addr=0x5,id=scsi0 -drive file=/mnt/snapshotC,if=none,media=cdrom,id=drive-ide0-1-0,readonly=on,format=qcow2 -device ide-drive,bus=ide.1,unit=1,drive=drive-ide0-1-0,id=ide0-1-0 -device usb-tablet,id=input0 -device intel-hda,id=sound0,bus=pci.0,addr=0x4 -device hda-duplex,id=sound0-codec0,bus=sound0.0,cad=0 -device virtio-balloon-pci,id=balloon0,bus=pci.0,addr=0x6 -netdev tap,id=hostnet2,fd=20 -device virtio-net-pci,__com_redhat_macvtap_compat=on,netdev=hostnet2,id=net0,mac=00:10:20:2d:31:21,addr=0x8 20<>/dev/tap4 -vnc :10 -vga qxl -global PIIX4_PM.disable_s3=0 -global PIIX4_PM.disable_s4=0 -boot menu=on
Comment 2 langfang 2013-11-08 00:27:10 EST
Correction:

MY CLI:Host B
 /usr/libexec/qemu-kvm -cpu Opteron_G3 -M rhel6.4.0 -enable-kvm -m 4096 -smp 2,cores=1,threads=1 -name RHEL6.5 -uuid `uuidgen` -nodefconfig -nodefaults -monitor stdio -rtc base=utc -device piix3-usb-uhci,id=usb,bus=pci.0,addr=0x1.0x2 -device virtio-serial-pci,id=virtio-serial0,bus=pci.0,addr=0x7 -device virtio-scsi-pci,bus=pci.0,addr=0x5,id=scsi0 -drive file=/mnt/snapshotC,if=none,id=drive-scsi0-0-0,media=disk,cache=none,format=qcow2,werror=stop,rerror=stop,aio=native -device scsi-hd,drive=drive-scsi0-0-0,bus=scsi0.0,scsi-id=0,id=sluo -drive file=/mnt/RHEL6.5-20131031.1-Server-i386-DVD1.iso,if=none,media=cdrom,id=drive-ide0-1-0,readonly=on,format=raw -device ide-drive,bus=ide.1,unit=1,drive=drive-ide0-1-0,id=ide0-1-0 -device usb-tablet,id=input0 -device intel-hda,id=sound0,bus=pci.0,addr=0x4 -device hda-duplex,id=sound0-codec0,bus=sound0.0,cad=0 -device virtio-balloon-pci,id=balloon0,bus=pci.0,addr=0x6 -netdev tap,id=hostnet2,fd=20 -device virtio-net-pci,__com_redhat_macvtap_compat=on,netdev=hostnet2,id=net0,mac=00:10:20:2d:31:21,addr=0x8 20<>/dev/tap4 -vnc :10 -vga qxl -global PIIX4_PM.disable_s3=0 -global PIIX4_PM.disable_s4=0 -boot menu=on
Comment 3 RHEL Product and Program Management 2013-11-11 01:05:46 EST
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.

Note You need to log in before you can comment on or make changes to this bug.